Skip to main content
`Ctrl`+`K`

# TSGetDM

Gets the `DM` that may be used by some preconditioners

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetDM(TS ts, DM *dm)

Not Collective

## Input Parameter

- ts - the `TS`

## Output Parameter

- dm - the `DM`

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `DM`, `TSSetDM()`, `SNESSetDM()`, `SNESGetDM()`

## Level

intermediate

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex13.c
src/ts/tutorials/ex27.c
src/ts/tutorials/ex26.c
src/ts/tutorials/ex22f.F90
src/ts/tutorials/ex11.c
src/ts/tutorials/ex14.c
src/ts/tutorials/ex22.c
src/ts/tutorials/ex22f_mf.F90
src/ts/tutorials/ex17.c
src/ts/tutorials/ex9.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages